资源中心/硬件设施/GPU设备相关接口
查询GPU信息
查询GPU信息
GET
/zstack/v1/gpu-device/gpu-devicesGET
/zstack/v1/gpu-device/gpu-devices/{uuid}操作 ID
QueryGpuDevice起始版本
5.1.8执行模式
同步认证信息
需要认证认证信息
调用该 API 时需要在请求头中携带以下认证信息。
Authorizationstring必填Bearer 令牌
X-Tenant-IDstringX-Tenant-ID
请求参数
查询参数
qString查询条件。
响应状态
200 OK200 OK
该 API 成功时返回以下响应结构。
successboolean必填操作是否成功。
errorErrorCode必填错误码,若不为null,则表示操作失败, 操作成功时该字段为null。 详情参考error
codeString必填错误码号,错误的全局唯一标识,例如SYS.1000, HOST.1001
descriptionString必填错误的概要描述
detailsString必填错误的详细信息
elaborationString必填保留字段,默认为null
opaqueLinkedHashMap必填保留字段,默认为null
causeErrorCode必填根错误,引发当前错误的源错误,若无原错误,该字段为null
inventoriesList必填详情参考inventories
serialNumberString必填序列号
memoryString必填显存
powerString必填能耗
uuidString必填资源的UUID,唯一标示该资源
nameString必填资源名称
descriptionString必填资源的详细描述
hostUuidString必填物理机UUID
parentUuidString必填父级资源UUID。
vmInstanceUuidString必填云主机UUID
pciSpecUuidString必填pci规格UUID。
vendorIdString必填暂无描述。
vendorString必填暂无描述。
deviceIdString必填设备ID。
deviceString必填设备。
subvendorIdString必填暂无描述。
subdeviceIdString必填暂无描述。
pciDeviceAddressString必填pci设备地址。
iommuGroupString必填iommu组。
createDateTimestamp必填创建时间
lastOpDateTimestamp必填最后一次修改时间
typePciDeviceType必填详情参考type
GPU_Video_ControllerPciDeviceType必填GPU显卡控制器
GPU_Audio_ControllerPciDeviceType必填GPU声卡控制器
GPU_3D_ControllerPciDeviceType必填GPU 3D控制器
Moxa_DevicePciDeviceType必填MOXA卡
GenericPciDeviceType必填一般设备
statePciDeviceState必填详情参考state
EnabledPciDeviceState必填启用
DisabledPciDeviceState必填停用
statusPciDeviceStatus必填详情参考status
ActivePciDeviceStatus必填就绪
AttachedPciDeviceStatus必填已挂载
SystemPciDeviceStatus必填系统
virtStatusPciDeviceVirtStatus必填详情参考virStatus
chooserPciDeviceChooser必填详情参考chooser
NonePciDeviceChooser必填无。
DevicePciDeviceChooser必填设备。
SpecPciDeviceChooser必填规格。
metaDataPciDeviceMetaData必填详情参考metaData
metaDataString必填元数据。
metaDataEntriesList必填详情参考metaDataEntries
keyString必填键
valueString必填值
opPciDeviceMetaDataOperator必填详情参考op
EqualPciDeviceMetaDataOperator必填相等
UnequalPciDeviceMetaDataOperator必填不等
matchedPciDeviceOfferingRefList必填详情参考matchedPciDeviceOfferingRef
pciDeviceUuidString必填pci设备UUID。
pciDeviceOfferingUuidString必填pci设备offering UUID。
mdevSpecRefsList必填详情参考mdevSpecRefs
pciDeviceUuidString必填PCI设备UUID
mdevSpecUuidString必填MDEV设备规格UUID
effectiveBoolean必填当前MDEV规格是否被用于切分该PCI设备
createDateTimestamp必填创建时间
lastOpDateTimestamp必填最后一次修改时间
UNVIRTUALIZABLEPciDeviceVirtStatus必填不可虚拟化
SRIOV_VIRTUALIZABLEPciDeviceVirtStatus必填支持SRIOV虚拟化
VFIO_MDEV_VIRTUALIZABLEPciDeviceVirtStatus必填支持VFIO_MDEV虚拟化
SRIOV_VIRTUALIZEDPciDeviceVirtStatus必填已SRIOV虚拟化
VFIO_MDEV_VIRTUALIZEDPciDeviceVirtStatus必填已VFIO_MDEV虚拟化
SRIOV_VIRTUALPciDeviceVirtStatus必填SRIOV虚拟设备
UNKNOWNPciDeviceVirtStatus必填未知
